# Backup

Backup allows you to export a JSON list of all of your installed repositories and cogs, then reimport them and automatically reinstall/reload the cogs.

## Installation

```bash
[p]repo add seacogs https://coastalcommits.com/SeaswimmerTheFsh/SeaCogs
[p]cog install seacogs backup
[p]cog load backup
```

## Commands

### backup export

- Usage: `[p]backup export`

Exports a JSON list of all of your added repositories, and their installed cogs.

### backup import

- Usage: `[p]backup import [json]`

Imports, reinstalls, and reloads cogs from a valid export. Requires either the json export to be provided in the command's message content or to be attached to the command's message. Ignores itself and PyLav cogs.
